apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Release.Name }}-nginx-conf
data:
  nginx.conf: |-
    user nginx;
    error_log  /var/log/nginx/error.log;
    events {
        worker_connections  4096;  ## Default: 1024
    }
    http {
        server {
            listen      {{ .Values.service.port }};
            server_name localhost;
            location / {
                proxy_pass  http://localhost:{{ .Values.application.port }}/;
            }
        }
    }